## libjdic-java 0.9.5

=== jdic/src/unix/native/jni/Makefile ===
#
# Copyright (C) 2004 Sun Microsystems, Inc. All rights reserved. Use is
# subject to license terms.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the Lesser GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
# 

# 
# Makefile for building JDIC native libraries(*.so) on Unix platforms
# (Linux/Solaris/FreeBSD).
# *** This makefile must be built using GNU Make ***
# JAVA_HOME must be set before using this script.
#

UNAME = $(shell uname)

ifeq ($(UNAME), SunOS)
  PLATFORM = solaris
  CXX = CC
  CC = cc  
  CXXFLAGS = -c
  LDFLAGS = -G -ldl -lrt -lpthread
  X11LIB=/usr/openwin/lib
else 
  ifeq ($(UNAME), Linux)
    PLATFORM = linux
    CXX = g++
    CXXFLAGS = -c
    LDFLAGS = -shared -fPIC -ldl -lrt -lpthread
  endif
  ifeq ($(UNAME), FreeBSD)
    PLATFORM = freebsd
    CXX = g++
    CXXFLAGS = -c -I/usr/local/include -I/usr/X11R6/include
    LDFLAGS = -shared -fPIC -L/usr/local/lib -L/usr/X11R6/lib
  endif
  CC = gcc
  X11LIB=/usr/X11R6/lib
endif

USR_INCLUDE_DIR = /usr/include
USR_LIB_DIR = /usr/lib

INCLUDES = -I$(JAVA_HOME)/include \
           -I$(JAVA_HOME)/include/$(PLATFORM)

EXTRA_INCLUDES = `pkg-config --cflags glib-2.0` \
                 `pkg-config --cflags libgnome-2.0` \
                 `pkg-config --cflags gnome-vfs-2.0`\
                 `pkg-config --cflags gnome-vfs-module-2.0` \
                 `pkg-config --cflags bonobo-activation-2.0` \
                 `pkg-config --cflags libbonobo-2.0` \
                 `pkg-config --cflags ORBit-2.0` \
                 `pkg-config --cflags gconf-2.0`

LIBS = -L$(USR_LIB_DIR) \
       -lz \
       -lm \
       -lgnome-2 

EXTRA_BROWSER_LIBS = \
    -L$(JAVA_HOME)/jre/lib/sparc \
    -L$(JAVA_HOME)/jre/lib/sparcv9 \
    -L$(JAVA_HOME)/jre/lib/i386 \
    -L$(JAVA_HOME)/jre/lib/amd64 \
    -L$(JAVA_HOME)/jre/lib/ia64

TRAY_LIBS = -L$(X11LIB) -lXt -lX11

#
# All the native source files.
#
CPPSRCS = GnomeBrowserService.cpp \
           GnomeLaunchService.cpp \
           GnomeUtility.cpp \
           GnomeVfsWrapper.cpp \
           WebBrowser.cpp \
           WebBrowserUtil.cpp \
           ../../../share/native/utils/InitUtility.cpp
TRAY_CSRC = Tray.c
          
#
# Build both libjdic.so and ibtray.so containing all the native code.
#
JDIC_SO_NAME = libjdic.so
TRAY_SO_NAME = libtray.so

all: clean $(JDIC_SO_NAME) $(TRAY_SO_NAME)

JDIC_SO_OBJS = $(CPPSRCS:.cpp=.o)

.cpp.o:
	$(CXX) $(CXXFLAGS) $(INCLUDES) $(EXTRA_INCLUDES) -o $@ $<

$(JDIC_SO_NAME): $(JDIC_SO_OBJS)
	$(CXX) $(LDFLAGS) $(LIBS) $(EXTRA_BROWSER_LIBS) $(JDIC_SO_OBJS) -o $@

#
# Build libtray.so containing only the Tray Icon API native code.
#
tray: clean $(TRAY_SO_NAME)

$(TRAY_SO_NAME): $(TRAY_CSRC)
	$(CC) $(INCLUDES) $(LDFLAGS) -ldl -L$(X11LIB) -lXt -lX11 $(TRAY_CSRC) -o $@

clean:
	rm -f *.so
	rm -f *.o
	rm -f ../../../share/native/utils/*.o

=== jdic/src/unix/native/mozilla/Makefile ===
# vim:set ts=8 sw=8 sts=8 noet:
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org Code.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 2001
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#
# Before using this script, MOZILLA_DIST must be set to the Mozilla distribution 
# path for libgtkembedmoz.so, and GECKO_SDK must be set to the Gecko SDK home 
# directory for header and lib files.
#

# using Gecko SDK 1.4 or 1.7.
#
# !!!Note: Below option needs to be changed according to the Gecko SDK version.
# For Gecko SDK 1.6 or ealier, enable USING_GECKO_SDK_1_4. Or else, enable 
# USING_GECKO_SDK_1_7.
#
USING_GECKO_SDK_1_4 = 1
#USING_GECKO_SDK_1_7 = 1

# set gtk version
#
# !!!Note: Below option needs to be changed according to the GTK version 
# (1.2 or 2) Gecko SDK and the Mozilla binary used. The GTK version building
# Gecko SDK and the Mozilla binary must be same.
#
#MOZ_ENABLE_GTK = 1
MOZ_ENABLE_GTK2 = 1

MODULE_NAME_PART= mozembed

# set options for each platform 
OS_ARCH = $(shell uname)
ifeq ($(OS_ARCH), Linux)
CXX = g++
LDFLAGS = -shared -fPIC -Wl,--version-script=gnu-ld-script
MODULE_NAME_PART = mozembed-linux-gtk
endif
ifeq ($(OS_ARCH), SunOS)
CXX = CC
LDFLAGS = -G -M gnu-ld-script
MODULE_NAME_PART = mozembed-solaris-gtk
endif
ifeq ($(OS_ARCH), FreeBSD)
CXX = g++
LDFLAGS = -shared -fPIC -Wl,--version-script=gnu-ld-script
MODULE_NAME_PART = mozembed-freebsd-gtk
endif

# set suffix for MODULE_NAME
ifdef MOZ_ENABLE_GTK
MODULE_NAME = $(MODULE_NAME_PART)1.2
endif
ifdef MOZ_ENABLE_GTK2
MODULE_NAME = $(MODULE_NAME_PART)2
endif

# set other variables
BIN_SUFFIX =

CPPSRCS = MozEmbed.cpp \
          Callback.cpp \
          ../../../share/native/mozilla/Common.cpp \
          ../../../share/native/mozilla/ProfileDirServiceProvider.cpp \
          ../../../share/native/utils/Util.cpp \
          ../../../share/native/utils/MsgServer.cpp \
          $(NULL)
          
PROGRAM = $(MODULE_NAME)$(BIN_SUFFIX)
LIBRARY = lib$(MODULE_NAME).so

#CXXFLAGS = -g -fPIC
CXXFLAGS = -O2 -fPIC

# link against the version of gtkembedmoz included with a
# mozilla distribution
LIBS = -L$(MOZILLA_DIST) -lgtkembedmoz

# libembedstring.a from the 1.4.2 gecko sdk requires __ctype_tolower,
# but for some reason that isn't available from the version of glibc
# that ships with Fedora Core 2.
ifdef USING_GECKO_SDK_1_4
ifeq ($(OS_ARCH), Linux)
NEED___ctype_tolower = 1
endif
endif

ifdef MOZ_ENABLE_GTK
CPPFLAGS += -DMOZ_WIDGET_GTK
LIBS += -lgtksuperwin
LIBS_PROG += -L$(MOZILLA_DIST) -lgtkembedmoz -lxpcom -lgtksuperwin
endif

ifdef MOZ_ENABLE_GTK2
CPPFLAGS += -DMOZ_WIDGET_GTK2
# XXX need to get these from pkg-config perhaps?
LIBS += $(XLDFLAGS) $(XLIBS)
LIBS_PROG += -L$(MOZILLA_DIST) -lgtkembedmoz -lxpcom
endif

CPPFLAGS += \
	-DXPCOM_GLUE -DMOZILLA_STRICT_API \
	-I. \
	-I../../../share/native/utils \
	-I../../../share/native/mozilla \
	$(NULL)

ifdef USING_GECKO_SDK_1_4
CPPFLAGS += \
	-include $(GECKO_SDK)/mozilla-config.h \
	-I$(GECKO_SDK)/ \
	-I$(GECKO_SDK)/xpcom/include \
	-I$(GECKO_SDK)/nspr/include \
	-I$(GECKO_SDK)/webbrwsr/include \
	-I$(GECKO_SDK)/profile/include \
	-I$(GECKO_SDK)/dom/include \
	-I$(GECKO_SDK)/string/include \
	-I$(GECKO_SDK)/embedstring/include \
	-I$(GECKO_SDK)/necko/include \
	-I$(GECKO_SDK)/pref/include \
	$(NULL)
LIBS += \
	-L$(GECKO_SDK)/embedstring/bin -lembedstring \
	-L$(GECKO_SDK)/xpcom/bin -lxpcomglue_s -lxpcom \
	-L$(GECKO_SDK)/nspr/bin -lnspr4 -lplds4 -lplc4 \
	$(NULL)
endif
ifdef USING_GECKO_SDK_1_7
CPPFLAGS += \
        -DUSING_GECKO_SDK_1_7 \
	-include $(GECKO_SDK)/include/mozilla-config.h \
	-I$(GECKO_SDK)/include \
	$(NULL)
LIBS += \
	-L$(GECKO_SDK)/lib -lxpcomglue_s \
	-L$(GECKO_SDK)/bin -lxpcom -lnspr4 -lplds4 -lplc4 \
	$(NULL)
endif

ifeq ($(OS_ARCH), SunOS)
CXXFLAGS += -features=tmplife
endif
ifdef MOZ_ENABLE_GTK
CXXFLAGS += `gtk-config --cflags`
LIBS += `gtk-config --libs`
endif
ifdef MOZ_ENABLE_GTK2
CXXFLAGS += `pkg-config gtk+-2.0 --cflags`
# do not use --libs since it includes -Wl,--export-dynamic
LIBS += `pkg-config gtk+-2.0 --libs-only-L` 
LIBS += `pkg-config gtk+-2.0 --libs-only-l` 
endif

OBJS = $(CPPSRCS:.cpp=.o)

ifdef NEED___ctype_tolower
OBJS += tolower.o
endif

$(PROGRAM): $(LIBRARY) Main.o
	$(CXX) -o $(PROGRAM) Main.o -L. -l$(MODULE_NAME) $(LIBS_PROG)

$(LIBRARY): $(OBJS)
	$(CXX) -o $(LIBRARY) $^ $(LDFLAGS) $(LIBS)

%.o: %.cpp
	$(CXX) -c $< -o $@ $(CPPFLAGS) $(CXXFLAGS)

Main.o: Main.cpp
	$(CXX) -c $< -o $@

clean::
	rm -f $(OBJS) $(PROGRAM) $(LIBRARY) Main.o
	rm -f *.so
	rm -f mozembed-*-gtk*

=== debian/changelog ===
libjdic-java (0.9.5-7) unstable; urgency=low

  * Update patches/Tray.diff, add support for Renesas SH(sh4), thanks
    to Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (Closes: #568965)
  * Switch to source format 3.0

 -- Varun Hiremath <varun@debian.org>  Thu, 11 Feb 2010 15:49:53 -0500

libjdic-java (0.9.5-6) unstable; urgency=low

  * debian/rules: Set GECKO_SDK to version 1.9.1 (Closes: #551219)
  * debian/control: Bump Standards-Version to 3.8.3
  * Add debian/README.source to describe patch system

 -- Varun Hiremath <varun@debian.org>  Mon, 19 Oct 2009 01:53:19 -0400

libjdic-java (0.9.5-5) unstable; urgency=low

  * Move all Build-Depends-Indep to Build-Depends
  * Set JAVA_HOME in debian/rules

 -- Varun Hiremath <varun@debian.org>  Mon, 10 Aug 2009 03:40:10 -0400

libjdic-java (0.9.5-4) unstable; urgency=low

  * Add patches/Tray.diff to:
    - Add support for more architectures
    - Fix libawt.so load path
  * debian/control: set Architecture to any for libjdic-bin, attempt
    to build on all archs

 -- Varun Hiremath <varun@debian.org>  Mon, 10 Aug 2009 02:00:40 -0400

libjdic-java (0.9.5-3) unstable; urgency=low

  * Switch to OpenJDK.
  * Move package to main.
  * Reformat debian/copyright for better readability.

 -- Torsten Werner <twerner@debian.org>  Wed, 30 Jul 2008 23:44:27 +0200

libjdic-java (0.9.5-2) unstable; urgency=low

  * Enable -fPIC, to fix build on amd64

 -- Varun Hiremath <varun@debian.org>  Fri, 11 Jul 2008 18:16:47 +0530

libjdic-java (0.9.5-1) unstable; urgency=low

  * New upstream release
  * Build-Depends: Replace libxul-dev with xulrunner-dev, and
    sun-java5-jdk with sun-java6-jdk (Closes: 489498)
  * Builds fine now (Closes: 478943, 490064)
  * Bump Standards-Version to 3.8.0
  * Update all the patches
  * Add new load_native_library.diff to fix some bugs in upstream code,
    fix native library load path and also make jdic Tray work with both
    java 1.5 and 1.6
  * Update README.Debian-source file
  * Update watch, orig-tar.sh and orig.exclude files

 -- Varun Hiremath <varun@debian.org>  Thu, 10 Jul 2008 04:04:50 +0530

libjdic-java (0.0.20060613-8) unstable; urgency=low

  * libjdic-bin: install JNI libraries into /usr/lib/jni
  * debian/control:
    + Update Standards-Version to 3.7.3
    + Fix Vcs-{Svn, Browser} headers
    + Change Architecture: i386 amd64 for libjdic-bin
  * Remove execute permissions from examples

 -- Varun Hiremath <varun@debian.org>  Mon, 17 Dec 2007 02:47:10 +0530

libjdic-java (0.0.20060613-7) unstable; urgency=low

  * Set JAVA_HOME only for build-indep.

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 29 Nov 2007 18:48:08 +0530

libjdic-java (0.0.20060613-6) unstable; urgency=low

  * debian/rules:
    + Don't use ant.mk
    + Separate out build-indep and build-arch for libjdic-java and
    libjdic-bin packages.
    + Do not create symlinks and use java.library.path
  * Fix paths in docs, libjdic-bin.install files.
  * debian/control:
    + Move sun-java5-jdk, libnetx-java to Build-Depends-Indep
    + Switch back to Architecture: any for libjdic-bin
    + Move libjdic-bin to Depends from Recommends (Closes: 453252)

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 27 Nov 2007 02:10:39 +0530

libjdic-java (0.0.20060613-5) unstable; urgency=low

  * Change Architecture: amd64 i386 for libjdic-bin.
  * Support newer dpkg-shlibdeps by ignoring errors.
  * Add Depends: libjdic-java for package libjdic-bin.
  * Downgrade Depends: libjdic-bin to Recommends.

 -- Torsten Werner <twerner@debian.org>  Sat, 24 Nov 2007 13:37:58 +0100

libjdic-java (0.0.20060613-4) unstable; urgency=low

  * Move the package to pkg-java svn.
  * debian/control:
    + Set Maintainer to Debian Java Maintainers and add myself to Uploaders.
    + Add Vcs-{Svn, Browser} and Homepage.
    + Set Priority to optional from extra.
    + Split into libjdic-bin (arch dependent) and libjdic-java (arch all)
    packages.
    + Build-Depend on libnetx-java
  * Move install to libjdic-bin.install
  * Add patches/packager.diff to disable building packager sources.
  * debian/rules: Add netx and remove deploy and javaws from DEB_JARS.

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 13 Nov 2007 16:31:56 +0530

libjdic-java (0.0.20060613-3) unstable; urgency=low

  * Initial release (Closes: #435673)
  * debian/copyright: include the BSD license for RpmPackageGenerator.java
    and some package.html files present in the upstream sources.
  * debian/rules: correct the dh_link version of jdic.jar

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 24 Sep 2007 12:57:11 +0530

libjdic-java (0.0.20060613-2) unstable; urgency=low

  * Add debian/README.Debian-source file.
  * debian/examples: Install the demo files.
  * debian/copyright: Include the full text of MPL license along with the NPL amendments.

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 27 Aug 2007 00:41:24 +0530

libjdic-java (0.0.20060613-1) unstable; urgency=low

  * Initial upload 

 -- Varun Hiremath <varunhiremath@gmail.com>  Wed, 01 Aug 2007 23:37:11 +0530

=== debian/control ===
Source: libjdic-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Torsten Werner <twerner@debian.org>
Build-Depends: cdbs, debhelper (>= 7), ant, pkg-config,
 libgnome2-dev, libgtk2.0-dev, libxt-dev, xulrunner-dev, libx11-dev,
 openjdk-6-jre-headless, openjdk-6-jdk, libnetx-java
Standards-Version: 3.8.4
Homepage: https://jdic.dev.java.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libjdic-java/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/libjdic-java/

Package: libjdic-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 openjdk-6-jre | java1-runtime | java2-runtime, libjdic-bin (>= ${source:Version})
Description: JDesktop Integration Components
 The JDesktop Integration Components (JDIC) project aims to make Java
 technology-based applications ("Java applications") first-class
 citizens of current desktop platforms without sacrificing platform
 independence. Its mission is to enable seamless desktop/Java
 integration.
 .
 JDIC provides Java applications with access to functionalities and
 facilities provided by the native desktop. It consists of a
 collection of Java packages and tools. JDIC supports a variety of
 features such as embedding the native browser, launching the desktop
 applications, creating tray icons on the desktop, registering file
 type associations, creating JNLP installer packages, etc.

Package: libjdic-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libjdic-java (= ${source:Version})
Description: JDesktop Integration Components (shared libraries)
 The JDesktop Integration Components (JDIC) project aims to make Java
 technology-based applications ("Java applications") first-class
 citizens of current desktop platforms without sacrificing platform
 independence. Its mission is to enable seamless desktop/Java
 integration.
 .
 JDIC provides Java applications with access to functionalities and
 facilities provided by the native desktop. It consists of a
 collection of Java packages and tools. JDIC supports a variety of
 features such as embedding the native browser, launching the desktop
 applications, creating tray icons on the desktop, registering file
 type associations, creating JNLP installer packages, etc.
 .
 This package ships the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f

export GECKO_SDK=/usr/lib/xulrunner-devel-1.9.1
export JAVA_HOME=/usr/lib/jvm/java-6-openjdk

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE      := .java .class
DEB_SHLIBDEPS_INCLUDE     := debian/libjdic-bin/usr/lib/jni
DEB_DH_SHLIBDEPS_ARGS_ALL := --dpkg-shlibdeps-params=--ignore-missing-info

common-binary-indep:: debian/stamp-binary-indep
debian/stamp-binary-indep:
	JAVA_HOME=/usr/lib/jvm/java-6-openjdk CLASSPATH=/usr/share/java/netx.jar \
		ant -f jdic/build.xml buildunixjar javadoc builddemo
	touch $@

common-binary-arch:: debian/stamp-binary-arch
debian/stamp-binary-arch:
	export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
	ant -f jdic/build.xml buildunixjni buildunixembed
	touch $@

install/libjdic-java:: debian/stamp-binary-indep
	install -D -m 644 jdic/dist/*/jdic.jar debian/libjdic-java/usr/share/java/jdic-$(DEB_UPSTREAM_VERSION).jar
	dh_link /usr/share/java/jdic-$(DEB_UPSTREAM_VERSION).jar /usr/share/java/jdic.jar

binary-install/libjdic-java::
	find debian/libjdic-java/usr/share/doc/libjdic-java/examples -type f \
		-exec chmod -x '{}' \;

clean::
	ant -f jdic/build.xml clean
	$(RM) debian/stamp-*

get-orig-source:
	sh debian/orig-tar.sh $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
https://jdic.dev.java.net/servlets/ProjectDocumentList .*jdic-([0-9].*).*
